<!DOCTYPE html>

<html lang="en">

<head>

    <meta charset="UTF-8">

    <title>Document</title>
    <link rel="stylesheet" href="css/estilos.css">
    <link href="https://fonts.googleapis.com/css?family=Satisfy" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">

   <style>
      *{
         margin: 0;
         padding: 0;
      }

      section {
         background-attachment: fixed;
         background-position: center;
         background-repeat: no-repeat;
         background-size: cover;
         height: 100vh;
      }

      h2{
         transform: translateY(150px);
         color: #fff;
         font-size: 60px;
         letter-spacing: 4px;
         font-weight: lighter;
         text-align: center;
         text-shadow: 2px 2px 2px black;
         font-family: 'Satisfy', cursive;
      }

      p{
         transform: translateY(160px);
         color: #fff;
         font-size: 25px;
         text-align: center;
         text-shadow: 2px 2px 2px black;
         font-family: 'Satisfy', cursive;
      }

      /*P de la informacion*/
      #info {
         width: 70%;
         margin: auto;
         transform: translateY(200px);
         display: none;

      }



      /**********************************/

      /* NAVEGADOR*/
      #navegador{
         position: fixed;
         width: 100%;
         background: #000000;
         border-bottom: 2px solid #aaa;
         z-index: 100;
      }

        #navegador ul{
            margin-top: 10px;
            margin-bottom: 10px;
            float: right;
            padding: 5px;
            margin-right: 20px;
        }

        #navegador ul li
        {
            list-style: none;
            display: inline;
            margin: 10px;
        }

        #navegador ul li a:hover
        {
            border-bottom: 1px solid #eee;
        }


        #navegador ul li a {
            text-decoration: none;
            color: #fff;
            padding: 5px;
            font-family: 'Montserrat', sans-serif;
        }

         /***********************************************/

         /*Boton*/
         #btn{
            background: #b9260c;
            color: #fff;
            border-radius: 4px;
            border: none;
            padding: 15px 45px;
            margin-left: 540px;
            transform: translateY(180px);
            font-size: 20px;
         }
         #btn:hover{
            background: #da4227;
         }

         /****************************************************/

    </style>

</head>

<body>

   <!--header>
           <nav id="navegador">
               <ul>
                   <li><a href="">Inicio</a></li>
                   <li><a href="">Lugares</a></li>
                   <li><a href="">Nosotros</a></li>
                   <li><a href="">Contactanos</a></li>
               </ul>
           </nav>
   </header-->


   <script>
      var listaCiudades=[
         {
            nombre:'Paris',
            poblacion: '2 241 346 habitantes',
            imagen: 'img/paris3.jpg',
            informacion: 'París es la capital de Francia y una de las grandes ciudades europeas. Es para muchos el destino turístico más romántico y popular de todo el planeta. París es una de las ciudades más visitadas del mundo, además de ser cuna de algunos movimientos vanguardistas. Su larga historia y su rico patrimonio cultural, gastronómico y social hace que sea el destino preferido por miles de turistas, atraídos por fantásticos monumentos',
         },
         {
            nombre:'Budapest',
            poblacion: '1 757 600 habitantes',
            imagen: 'img/budapest-panoramica.jpg',
            informacion: 'Budapest, capital de Hungría, es la ciudad más importante del país y se ha convertido por méritos propios en una de las principales ciudades turísticas de Europa.',
         },
         {
            nombre:'Monterrey',
            poblacion:'4 437 643 habitantes',
            imagen: 'img/monterrey3.jpg',
            informacion: '  Monterrey, capital del Estado de Nuevo León, es una de las ciudades más importantes de México y se encuentra ubicada en el noreste del país. Está situada junto a la Sierra Madre Oriental, cuya principal montaña es el Cerro de "La Silla", símbolo característico de nuestra ciudad.',
         },
         {
            nombre:'Tokio',
            poblacion:'39 643 000 habitantes',
            imagen: 'img/tokio2.jpg',
            informacion: 'Tokio, la capital de Japón es una de las ciudades mas espectaculares de la región de Asia-Pacífico, aún con esa cantidad de habitantes, es una ciudad limpia, ordenada, de medios de transporte eficientes y lo mejor de todo, absolutamente segura.',
         },
         {
            nombre: 'Berlin',
            poblacion:'3 470 000 habitantes',
            imagen: 'img/berlin.jpg',
            informacion: 'Berlín es la ciudad capital de la República Federal de Alemania y una de las ciudades más bellas, liberales y cosmopolitas del mundo. En Berlín se pueden encontrar algunas de las mejores infraestructuras del mundo en lo referente al transporte, vivienda y la recreación.',
         },
         {
            nombre: 'Barcelona',
            poblacion:'1 609 000 habitantes',
            imagen: 'img/barcelona3.jpg',
            informacion: ' Se encuentra situada al noreste de España, muy cerca de Francia, es la segunda ciudad más poblada de España, por detrás de Madrid. En Barcelona existen dos idiomas oficiales, el castellano y el catalán.',
         },
      ]



      var body = document.getElementsByTagName('body')[0]
      var navbar= document.createElement('nav')
      navbar.id='navegador'
      body.appendChild(navbar)
      var lista_ul= document.createElement('ul')
      navbar.appendChild(lista_ul)

      var lista_ul_li= document.createElement('li')
      lista_ul.appendChild(lista_ul_li)

      var lista_ul_li_a= document.createElement('a')
      lista_ul_li_a.setAttribute('href','#')

      lista_ul_li.appendChild(lista_ul_li_a)

      lista_ul_li_a.innerHTML='Inicio'


      /*Insertar nuevas listas*/
      var nuevo_li_2=document.createElement('li')
      var nuevo_a_2=document.createElement('a')
      nuevo_a_2.setAttribute('href','#')

      var nuevo_li_3=document.createElement('li')
      var nuevo_a_3=document.createElement('a')
      nuevo_a_3.setAttribute('href','#')

      var menu =document.getElementById('navegador').getElementsByTagName("ul")[0];

      menu.appendChild(nuevo_li_2)
      nuevo_li_2.appendChild(nuevo_a_2)
      nuevo_a_2.innerHTML='Nosotros'

      menu.appendChild(nuevo_li_3)
      nuevo_li_3.appendChild(nuevo_a_3)
      nuevo_a_3.innerHTML='Contactanos'


      //ITERACION O TAMBIEN LLAMADO "FOR LOOP"
      for(var i = 0; i < listaCiudades.length; i++){
         //OBTENER UN SOLO ELEMENTO DE LA LISTA CON SU INDICE
         var ciudad = listaCiudades[i];

         //alert(ciudad.nombre);
         //crear contenedor
         var section=document.createElement('section')
         section.setAttribute('id',ciudad.nombre)
         section.style= 'background-image: url(' + ciudad.imagen + ')'

         //crear titulo
         var titulo=document.createElement('h2')
         titulo.innerHTML= ciudad.nombre

         //crear parrafo
         var parrafo =document.createElement('p')
         parrafo.innerHTML = ciudad.poblacion

         var boton = document.createElement('button');
         boton.innerHTML="Ver mas"
         boton.setAttribute('id','btn');

         //etiqueta P de Informacion
         var pinfo = document.createElement('p')
         pinfo.id="info"
         pinfo.innerHTML=ciudad.informacion
         //pinfo.style.display='none'

         boton.addEventListener('click', function(){
            //pinfo.style.display='block'
            var mostrarInfo = document.getElementById('info')
            mostrarInfo.style.display = 'block';
         });

         //Añadir elementos

         section.appendChild(titulo)
         section.appendChild(parrafo)
         section.appendChild(boton)
         section.appendChild(pinfo)
         body.appendChild(section)


      }


   </script>
</body>



</html>
